package com.ruoyi.business.domain.VO;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:历史数据实体对象
 * @ClassName: DeviceLatestDataVo
 * @Author  : xins
 * @Date    :2023-09-16  14:46
 * @Version :1.0
 */
@Data
public class DeviceHistoryDataVo {

    @NotNull(message="sceneId cannot be null")
    private Long sceneId;

    @NotNull(message="deviceId cannot be null")
    private Long deviceId;

    private Long deviceModeId;

    private int limit;

    //指定从第几条之后输出（例如：limit 2,5，输出第3行到第7行的数据）
    private int offset;


    //过滤条件：开始时间
    private long startTime;

    //过滤条件：结束时间
    private long endTime;


}
