package com.ruoyi.tdengine.api.domain;

import com.ruoyi.common.core.hw.validated.tdengine.InsertTdTable;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @Description: drop子表实体类
 * @ClassName: TdTableDropVo
 * @Author  : xins
 * @Date    :2024-04-20  11:09
 * @Version :1.0
 */
@Data
public class TdTableDropVo {

    //数据库名称
    @NotEmpty(message="databaseName cannot be empty")
    private String databaseName;


    //子表名称
    @NotEmpty(message="tableName cannot be empty")
    private String tableName;


}
