package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 离线报警规则目标对象 hw_offline_target
 * 
 * @author xins
 * @date 2023-11-13
 */
public class HwOfflineTarget extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 离线报警规则ID */
    private Long offlineRuleId;

    /** 目标类型（1、设备，2、监控单元） */
    private String targetType;

    /** target_type为1时，关联表hw_device字段device_id
target_type为2时，关联表hw_monitor_unit字段monitor_unit_id */
    private Long targetId;

    public void setOfflineRuleId(Long offlineRuleId) 
    {
        this.offlineRuleId = offlineRuleId;
    }

    public Long getOfflineRuleId() 
    {
        return offlineRuleId;
    }
    public void setTargetType(String targetType) 
    {
        this.targetType = targetType;
    }

    public String getTargetType() 
    {
        return targetType;
    }
    public void setTargetId(Long targetId) 
    {
        this.targetId = targetId;
    }

    public Long getTargetId() 
    {
        return targetId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("offlineRuleId", getOfflineRuleId())
            .append("targetType", getTargetType())
            .append("targetId", getTargetId())
            .toString();
    }
}
