package com.ruoyi.dataprocess.mapper;



import com.ruoyi.dataprocess.domain.HwAlarmRuleLink;
import com.ruoyi.dataprocess.domain.HwOfflineRule;

import java.util.List;

/**
 * 离线报警规则Mapper接口
 * 
 * @author xins
 * @date 2023-11-13
 */
public interface HwOfflineRuleMapper 
{
    /**
     * 查询离线报警规则
     * 
     * @param deviceId 设备Id
     * @return 离线报警规则
     */
    public HwOfflineRule selectHwOfflineRuleByDeviceId(Long deviceId);

    /**
     * 查询离线报警规则
     *
     * @param sceneId 场景Id
     * @return 离线报警规则
     */
    public HwOfflineRule selectHwOfflineRuleBySceneId(Long sceneId);

}
